---
layout: release
date: 2021-08-04
tag: v0.5.42
---

## What's New
## 🔤 General
- MeshSync DB fix @dhruv0000 (#3775)
- Delete extra golden file in testdata @alphaX86 (#3772)
- Added SSE client for CLI to wait for operation to end @dhruv0000 (#3689)
- Changed the test file name @Revolyssup (#3767)
- [Docs] REST API: `/system` endpoint @piyushsingariya (#3518)
- [Fixes] Version Card Fix @dhruv0000 (#3763)
- [mesheryctl] Fix for `perf view` @piyushsingariya (#3762)
- Added `User Data` and `User Pref` in HTTP request context @dhruv0000 (#3753)
- fix whitespace in GraphQL API workflow @DelusionalOptimist (#3752)
- [UI] Change the dev server script to use node rather than nodemon @sudo-NithishKarthik (#3750)
- [GraphQL] Added Token to Req context @dhruv0000 (#3748)
- [meshery] fix bug docker couldnt find swagger.yaml @bariqhibat (#3644)
- Handled closing for `listenToControlPlaneState` Subscription @dhruv0000 (#3741)
- Fix SSE for perf-test @dhruv0000 (#3742)
- Migrating system stop to meshkit style errors @metonymic-smokey (#3693)
- Fix duplicate env vars issue @utkarsh-pro (#3717)
- [DOCS] add fix bug for key/value size invalid  @bariqhibat (#3713)
- [UI] UI enhancements (Bulk operations) @Chadha93 (#3718)
- [Extension] dependency-addition @Chadha93 (#3716)
- Add subcommand app @suhaniii (#3540)
- Fix for Perf Test getting invoked @dhruv0000 (#3710)
- changed the messages for controlplane and meshsync @warunicorn19 (#3711)
- Fix UI handler behaviour @sudo-NithishKarthik (#3705)
- [meshery]meshery bash script to allow installation of cli alone @hexxdump (#3692)
- ui: Align adapter cards and make it vertically even @Abhishek-kumar09 (#3695)
- ui: Change Navigator Design according to latest requirements @Abhishek-kumar09 (#3581)
- [mesheryctl] Gracefully handle errors when platform is unavailable @alphaX86 (#3585)
- [mesheryctl] fixes in `system check` @piyushsingariya (#3666)
- update to pkg/browser to open URLs @navendu-pottekkat (#3682)
- Connection Wizard @sudo-NithishKarthik (#3501)
- [mesheryctl] Add GET request step in HealthCheck @alphaX86 (#3495)
- [mesheryctl]Check for Meshery server status before opening in browser @hexxdump (#3685)
- Fix application workload JSON schema @sudo-NithishKarthik (#3686)
- [mesheryctl] Backup meshconfig: Version fixes @metonymic-smokey (#3463)
- meshery: Fix read operation not waiting for user input @Abhishek-kumar09 (#3681)

## 🧰 Maintenance

- [CI] notify remote providers only on stable releases  @DelusionalOptimist (#3766)
- chore(deps): bump github.com/prometheus/common from 0.29.0 to 0.30.0 @dependabot (#3736)
- chore(deps-dev): bump cypress from 7.6.0 to 8.1.0 in /ui @dependabot (#3729)
- chore(deps): bump @cypress/code-coverage from 3.9.9 to 3.9.10 in /provider-ui @dependabot (#3728)
- chore(deps-dev): bump nodemon from 2.0.9 to 2.0.12 in /ui @dependabot (#3720)
- chore(deps): bump @material-ui/core from 4.12.2 to 4.12.3 in /provider-ui @dependabot (#3723)
- chore(deps-dev): bump @babel/types from 7.14.8 to 7.14.9 in /ui @dependabot (#3721)
- chore(deps-dev): bump start-server-and-test from 1.13.0 to 1.13.1 in /provider-ui @dependabot (#3725)
- chore(deps-dev): bump eslint from 7.31.0 to 7.32.0 in /provider-ui @dependabot (#3730)
- chore(deps-dev): bump start-server-and-test from 1.13.0 to 1.13.1 in /ui @dependabot (#3726)
- chore(deps-dev): bump lint-staged from 11.0.0 to 11.1.1 in /ui @dependabot (#3727)
- chore(deps): bump @rjsf/core from 2.5.1 to 3.0.0 in /ui @dependabot (#3734)
- chore(deps): bump caniuse-lite from 1.0.30001194 to 1.0.30001248 in /ui @dependabot (#3733)
- chore(deps): bump @material-ui/lab from 4.0.0-alpha.58 to 4.0.0-alpha.60 in /ui @dependabot (#3722)
- chore(deps): bump @cypress/code-coverage from 3.9.9 to 3.9.10 in /ui @dependabot (#3724)
- chore(deps-dev): bump cypress from 8.0.0 to 8.1.0 in /provider-ui @dependabot (#3732)
- chore(deps): bump github.com/gosimple/slug from 1.9.0 to 1.10.0 @dependabot (#3735)
- [mesheryctl] Integration Test for `system logs` @piyushsingariya (#3708)
- [CI] use multiline if statements @iamsdas (#3703)
- [CI] Fix release drafter @DelusionalOptimist (#3450)

## 📖 Documentation

- [CI] Added GraphQL API Documentation Workflow @amino19 (#3534)
- Added make commands to meshery-ui docs @warunicorn19 (#3654)
- fixed broken images @debo19 (#3684)
- updated the Custom Callback Configuration provider @samirparhi-dev (#3678)

## 👨🏽‍💻 Contributors

Thank you to our contributors for making this release possible:
@Abhishek-kumar09, @Chadha93, @DelusionalOptimist, @Revolyssup, @alphaX86, @amino19, @bariqhibat, @debo19, @dependabot, @dependabot[bot], @dhruv0000, @hexxdump, @iamsdas, @leecalcote, @metonymic-smokey, @navendu-pottekkat, @piyushsingariya, @samirparhi-dev, @sudo-NithishKarthik, @suhaniii, @utkarsh-pro and @warunicorn19
