---
layout: release
date: 2021-11-02
tag: v0.5.68
---

## What's New
## 🔤 General
- [extension] endpoint for retrieving extension version @DelusionalOptimist (#4366)
- added abandonment of role @warunicorn19 (#4511)
- [Extension] Meshery sidebar collapse onClick plugin menu item @bariqhibat (#4273)
- [Fix] Download provider package  @utkarsh-pro (#4484)
- [Extensions] Remote config addition @NikhilSharma03 (#4463)
- [UI] Added clear/reset button on profile test @afzal442 (#4404)

## ⌨️ Meshery CLI

- [mesheryctl] Added version validation in channel command @sayantan1413 (#4453)
- [meshery] fixed persisting results SMP @piyushsingariya (#4167)
- [mesheryctl] Fix bug with `--view/-v` flag and update `perf` docs @navendu-pottekkat (#4481)
- [mesheryctl] Refactoring of `mesherctl perf` @piyushsingariya (#4009)
- Enhance mesheryctl mesh subcommand flags @s1ntaxe770r (#4450)

## 🖥 Meshery UI

- fetching PrometheusClient directly from Prometheus API  @manav1403 (#4455)
- [Extension] add remote config @bariqhibat (#4513)
- temporarily removed the connection wizard @warunicorn19 (#4509)
- [meshery] fixed persisting results SMP @piyushsingariya (#4167)
- [UI] MuiDataTable Checkbox color is matched with the theme color @sayantan1413 (#4471)
- added custom color to modal @warunicorn19 (#4469)
- [UI] Improve the Appbar styling of the rfsj component @sayantan1413 (#4466)
- Fix JSHint W032 (Unecessary semicolons) @100mik (#4408)
- Add true random generator. Replace Math.Random() @100mik (#4418)
- Fix JShint W033  @100mik (#4406)

## 🔋 Patterns, Filters, Applications

- [Docs] pattern docs update for UI @Chadha93 (#4422)
- [seed content] seed applications into meshery's container @DelusionalOptimist (#4451)

## 🧰 Maintenance

- Rebuild the charts for Meshery and the meshery-operator as the primary chart @Aisuko (#4522)
- Bump github.com/layer5io/meshsync from 0.1.25 to 0.1.27 @dependabot (#4505)
- Bump github.com/layer5io/meshery-operator from 0.2.21 to 0.2.22 @dependabot (#4500)
- Bump github.com/lib/pq from 1.10.2 to 1.10.3 @dependabot (#4309)
- Bump gorm.io/gorm from 1.21.14 to 1.21.16 @dependabot (#4386)
- [mesheryctl] Refactoring of `mesherctl perf` @piyushsingariya (#4009)
- [seed content] seed applications into meshery's container @DelusionalOptimist (#4451)

## 📖 Documentation

- [Docs] Fixed Functionality button link @vedant-kakde (#4526)
- docs: fix language in concepts @Yiyiyimu (#4516)
- Add guide and docs for `system check` @alphaX86 (#4462)
- new page : page for listing all the concepts in spanish is added @shubham-tyagi (#4393)
- Updated meshery/docs readme.md @vedant-kakde (#4483)
- [mesheryctl] Fix bug with `--view/-v` flag and update `perf` docs @navendu-pottekkat (#4481)
- routing issue is solved @shubham-tyagi (#4476)
- [Docs] Fixed the padding issue in the eks @sayantan1413 (#4472)
- new page : spanish translation of adapters is added @shubham-tyagi (#4395)
- changed eks docs @warunicorn19 (#4468)
- [Docs] pattern docs update for UI @Chadha93 (#4422)
- documentation for app mesh  @Shreyas220 (#4461)
- Move App Mesh adapter to beta (v0.2.2) @buzzsurfr (#4459)
- update docs/_layouts/page.html : removed redundantlinks @shubham-tyagi (#4385)

## 🔒 Security

- Fix JSHint W032 (Unecessary semicolons) @100mik (#4408)
- Fixed weak random number generator @100mik (#4413)
- Add true random generator. Replace Math.Random() @100mik (#4418)
- Fix JShint W033  @100mik (#4406)

## 👨🏽‍💻 Contributors

Thank you to our contributors for making this release possible:
@100mik, @Aisuko, @Chadha93, @DelusionalOptimist, @NikhilSharma03, @Shreyas220, @Yiyiyimu, @adithyaakrishna, @afzal442, @alphaX86, @bariqhibat, @buzzsurfr, @dependabot, @dependabot[bot], @leecalcote, @manav1403, @navendu-pottekkat, @piyushsingariya, @ramrodo, @s1ntaxe770r, @sayantan1413, @shubham-tyagi, @sudo-NithishKarthik, @utkarsh-pro, @vedant-kakde, @warunicorn19 and l5io
